> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enginy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create inbox tag

> Create a reusable inbox tag.

Required body fields:
- name: human-readable tag name.
- color: color token or hex value stored with the tag.

    > **Required scope:** `MESSAGING_WRITE`
    >
    > **Rate limit:** 30 requests per minute



## OpenAPI

````yaml https://openapi.enginy.ai/definitions.json post /v1/inbox/tags
openapi: 3.1.0
info:
  title: Enginy API
  version: 1.0.0
  description: Public API for Enginy platform
servers:
  - url: https://openapi.enginy.ai
    description: Configured server
security: []
tags:
  - name: AI Variables
    description: >-
      Manage AI variables and discover the entity fields you can reference in
      prompts and entity requests.
  - name: Inbox
    description: >-
      Inbox endpoints for listing contact threads, reading thread messages,
      managing tags, and sending manual replies.
  - name: Workflows
    description: >-
      Build, validate, publish, run, and inspect advanced (graph) workflows,
      plus the block/condition catalog needed to author a workflow plan.
paths:
  /v1/inbox/tags:
    post:
      tags:
        - Inbox
      summary: Create inbox tag
      description: |-
        Create a reusable inbox tag.

        Required body fields:
        - name: human-readable tag name.
        - color: color token or hex value stored with the tag.

            > **Required scope:** `MESSAGING_WRITE`
            >
            > **Rate limit:** 30 requests per minute
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 50
                  description: Name for the tag
                  example: Hot lead
                color:
                  type: string
                  minLength: 1
                  maxLength: 50
                  description: Color token or hex value for the tag
                  example: '#F97316'
              required:
                - name
                - color
            examples:
              default:
                summary: Create a high-priority tag
                value:
                  name: Hot lead
                  color: '#F97316'
      responses:
        '200':
          description: Inbox tag already exists
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: number
                        description: Unique identifier for the inbox tag
                      name:
                        type: string
                        description: Tag name
                      color:
                        type: string
                        description: Tag color
                      count:
                        type: number
                        description: >-
                          Number of visible contact threads that currently have
                          this tag
                      isPromptActive:
                        type: boolean
                        description: >-
                          Whether the tag is enabled for prompt-based
                          auto-tagging
                      isEditable:
                        type: boolean
                        description: Whether the tag can be edited manually
                    required:
                      - id
                      - name
                      - color
                      - count
                      - isPromptActive
                      - isEditable
                required:
                  - status
                  - message
                  - data
              examples:
                existing:
                  summary: The same tag name already exists
                  value:
                    status: success
                    message: Inbox tag already exists
                    data:
                      id: 5
                      name: Hot lead
                      color: '#F97316'
                      count: 18
                      isPromptActive: false
                      isEditable: true
        '201':
          description: Inbox tag created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: number
                        description: Unique identifier for the inbox tag
                      name:
                        type: string
                        description: Tag name
                      color:
                        type: string
                        description: Tag color
                      count:
                        type: number
                        description: >-
                          Number of visible contact threads that currently have
                          this tag
                      isPromptActive:
                        type: boolean
                        description: >-
                          Whether the tag is enabled for prompt-based
                          auto-tagging
                      isEditable:
                        type: boolean
                        description: Whether the tag can be edited manually
                    required:
                      - id
                      - name
                      - color
                      - count
                      - isPromptActive
                      - isEditable
                required:
                  - status
                  - message
                  - data
              examples:
                created:
                  summary: New inbox tag created
                  value:
                    status: success
                    message: Inbox tag created successfully
                    data:
                      id: 5
                      name: Hot lead
                      color: '#F97316'
                      count: 18
                      isPromptActive: false
                      isEditable: true
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````